module.exports = {
  root: true,
  env: {
    node: true,
    'vue/setup-compiler-macros': true, // 支持Vue3的编译宏
  },
  extends: ['plugin:vue/vue3-essential', 'eslint:recommended', '@vue/prettier'],
  parserOptions: {
    parser: '@babel/eslint-parser', // 解析 Vue 中的 ES6+ 语法
    ecmaVersion: 'latest',
    sourceType: 'module'
  },
  rules: {
    'no-unused-vars': 'off',
    "prettier/prettier": "off",
    'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
    'vue/multi-word-component-names': 'off',
  },
  plugins: [
    'vue' // 启用 Vue 插件
  ],
  settings: {
    'vue': {
      'version': '3.0' // 指定 Vue 版本
    }
  }
}
