import { createApp } from 'vue'
import Antd from 'ant-design-vue'
import App from './App'
import router from './router'
import store from './store'
import 'ant-design-vue/dist/reset.css'
import '@/vab'
import 'default-passive-events'

// 引入 ElementUI
import ElementPlus from 'element-plus'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import * as echarts from 'echarts';

import '@/assets/icons'
import SvgIcon from "@/components/SvgIcon"

import 'video.js/dist/video-js.css'
import './permissions.js'

const app = createApp(App)


app.config.globalProperties.$echarts = echarts

app.use(router)
app.use(store)
app.use(ElementPlus, { locale: zhCn, size: 'default' })
app.use(Antd)
app.component("svg-icon", SvgIcon)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}
app.mount('#app')